#lib/generators/launchbox/install_generator.rb
require 'rails/generators'
require 'rails/generators/named_base'

# creates an initializer and runs Launchbox::Config.init()"
module Launchbox
  module Generators
    class InstallGenerator < Rails::Generators::Base
      desc "Launchbox install generator"

      def create_initializer_file
        create_file "config/initializers/launchbox.rb", "# Launchbox initializer content\nLaunchbox::Config.init()"
      end
    end
  end
end